Subject: Re: autogen.sh doesn't update stale autoconf files in build-aux
From: Paul Eggert <[email-masked]>
To: [email-masked]
Date: Sun, 13 Apr 2014 22:45:15 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

In trunk bzr 116975 I changed autogen.sh to use autoreconf's -f option, 
which should fix the bug.  -f won't hurt in the typical case when 
autogen.sh is being invoked in freshly checked-out sources, and might 
help in cases where autoreconf itself has been upgraded.

GNU make should do this automatically when things go well, but there are 
a lot of reasons timestamps can be messed up in a source tree and 
autogen.sh should try to be helpful when recovering from such problems.